Debian Bug report logs - #530450
libelfg0-dev and libbsd-dev: error when trying to install together

version graph

Package: libbsd-dev; Maintainer for libbsd-dev is Guillem Jover <guillem@debian.org>; Source for libbsd-dev is src:libbsd.

Reported by: Ralf Treinen <treinen@free.fr>

Date: Sun, 24 May 2009 22:36:01 UTC

Severity: serious

Fixed in version libbsd/0.1.2-1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>, Alex Pennace <alex@pennace.org>:
Bug#530450; Package libbsd-dev,libelfg0-dev. (Sun, 24 May 2009 22:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
New Bug report received and forwarded. Copy sent to Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>, Alex Pennace <alex@pennace.org>.

Your message had a Version: pseudo-header with an invalid package version:

libelfg0-dev/0.8.10-2

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sun, 24 May 2009 22:36:04 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: submit@bugs.debian.org
Subject: libelfg0-dev and libbsd-dev: error when trying to install together
Date: Mon, 25 May 2009 00:34:24 +0200
Package: libbsd-dev,libelfg0-dev
Version: libbsd-dev/0.1.1-1
Version: libelfg0-dev/0.8.10-2
Severity: serious
User: treinen@debian.org
Usertags: edos-file-overwrite

Date: 2009-05-24
Architecture: amd64
Distribution: sid

Hi,

automatic installation tests of packages that share a file and at the
same time do not conflict by their package dependency relationships has
detected the following problem:


WARNING: The following packages cannot be authenticated!
  libbsd0 libbsd-dev linux-libc-dev libc6-dev libelfg0 libelfg0-dev
Authentication warning overridden.
Can not write log, openpty() failed (/dev/pts not mounted?)
Selecting previously deselected package libbsd0.
(Reading database ... 8136 files and directories currently installed.)
Unpacking libbsd0 (from .../libbsd0_0.1.1-1_amd64.deb) ...
Selecting previously deselected package libbsd-dev.
Unpacking libbsd-dev (from .../libbsd-dev_0.1.1-1_amd64.deb) ...
Selecting previously deselected package linux-libc-dev.
Unpacking linux-libc-dev (from .../linux-libc-dev_2.6.29-5_amd64.deb) ...
Selecting previously deselected package libc6-dev.
Unpacking libc6-dev (from .../libc6-dev_2.9-12_amd64.deb) ...
Selecting previously deselected package libelfg0.
Unpacking libelfg0 (from .../libelfg0_0.8.10-2_amd64.deb) ...
Selecting previously deselected package libelfg0-dev.
Unpacking libelfg0-dev (from .../libelfg0-dev_0.8.10-2_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/libelfg0-dev_0.8.10-2_amd64.deb (--unpack):
 trying to overwrite `/usr/include/nlist.h', which is also in package libbsd-dev
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/libelfg0-dev_0.8.10-2_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


This is a serious bug as it makes installation fail. Possible
solutions are to have the two packages conflict, to rename the common
file in one of the two packages, or to remove the file from one
package and have this package depend on the other package. File
diversions or a Replace relation are another possibility.

Here is a list of files that are known to be shared by both packages
(according to the Contents file for sid/amd64, which may be
slightly out of sync):


  usr/include/nlist.h
  

This bug is assigned to both packages. If you, the maintainers of
the two packages in question, have agreed on which of the packages will
resolve the problem please reassign the bug to that package.

-Ralf.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>, Alex Pennace <alex@pennace.org>:
Bug#530450; Package libbsd-dev,libelfg0-dev. (Mon, 25 May 2009 05:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>, Alex Pennace <alex@pennace.org>. (Mon, 25 May 2009 05:15:05 GMT) Full text and rfc822 format available.

Message #10 received at 530450@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Ralf Treinen <treinen@free.fr>, 530450@bugs.debian.org
Cc: libelfg0-dev@packages.debian.org
Subject: Re: Bug#530450: libelfg0-dev and libbsd-dev: error when trying to install together
Date: Mon, 25 May 2009 07:12:30 +0200
reassign 530450 libbsd-dev
thanks

On Mon, 2009-05-25 at 00:34:24 +0200, Ralf Treinen wrote:
> Package: libbsd-dev,libelfg0-dev
> Version: libbsd-dev/0.1.1-1
> Version: libelfg0-dev/0.8.10-2
> Severity: serious
> User: treinen@debian.org
> Usertags: edos-file-overwrite
> 
> Date: 2009-05-24
> Architecture: amd64
> Distribution: sid

> Here is a list of files that are known to be shared by both packages
> (according to the Contents file for sid/amd64, which may be
> slightly out of sync):
> 
> 
>   usr/include/nlist.h
>   
> 
> This bug is assigned to both packages. If you, the maintainers of
> the two packages in question, have agreed on which of the packages will
> resolve the problem please reassign the bug to that package.

It's libbsd's fault, thus taking the bug, will be fixed in next
upload.

regards,
guillem




Bug reassigned from package `libbsd-dev,libelfg0-dev' to `libbsd-dev'. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Mon, 25 May 2009 05:15:06 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Mon, 25 May 2009 06:06:12 GMT) Full text and rfc822 format available.

Notification sent to Ralf Treinen <treinen@free.fr>:
Bug acknowledged by developer. (Mon, 25 May 2009 06:06:12 GMT) Full text and rfc822 format available.

Message #17 received at 530450-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 530450-close@bugs.debian.org
Subject: Bug#530450: fixed in libbsd 0.1.2-1
Date: Mon, 25 May 2009 05:32:05 +0000
Source: libbsd
Source-Version: 0.1.2-1

We believe that the bug you reported is fixed in the latest version of
libbsd, which is due to be installed in the Debian FTP archive:

libbsd-dev_0.1.2-1_amd64.deb
  to pool/main/libb/libbsd/libbsd-dev_0.1.2-1_amd64.deb
libbsd0-dbg_0.1.2-1_amd64.deb
  to pool/main/libb/libbsd/libbsd0-dbg_0.1.2-1_amd64.deb
libbsd0_0.1.2-1_amd64.deb
  to pool/main/libb/libbsd/libbsd0_0.1.2-1_amd64.deb
libbsd_0.1.2-1.diff.gz
  to pool/main/libb/libbsd/libbsd_0.1.2-1.diff.gz
libbsd_0.1.2-1.dsc
  to pool/main/libb/libbsd/libbsd_0.1.2-1.dsc
libbsd_0.1.2.orig.tar.gz
  to pool/main/libb/libbsd/libbsd_0.1.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 530450@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated libbsd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 25 May 2009 07:22:36 +0200
Source: libbsd
Binary: libbsd-dev libbsd0 libbsd0-dbg
Architecture: source amd64
Version: 0.1.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 libbsd-dev - utility functions from BSD systems - development files
 libbsd0    - utility functions from BSD systems - shared library
 libbsd0-dbg - utility functions from BSD systems - debugging symbols
Closes: 530450
Changes: 
 libbsd (0.1.2-1) unstable; urgency=low
 .
   * New upstream release.
     - Fix build failures on s390 and powerpc due to a typo.
     - Fix build failure on alpha due to unportable access to ‘struct exec’.
   * Add a Replaces to libbsd-dev on libelfg0-dev which also ships ‘nlist.h’.
     (Closes: #530450)
Checksums-Sha1: 
 47f2edd9b5f5060828b35b8aa5ce387b1f2be2fb 1249 libbsd_0.1.2-1.dsc
 d4d4a6681c214e156fdddca8893f6e3d413e9ac9 54555 libbsd_0.1.2.orig.tar.gz
 b58b801a1d2fd85202151045ba261787204e9dcc 5694 libbsd_0.1.2-1.diff.gz
 54642370a2955adf323c528b2993d20a2d9416ca 62058 libbsd-dev_0.1.2-1_amd64.deb
 546b3c488c8f7ac69bca86f9b0959dd608d2e0eb 31190 libbsd0_0.1.2-1_amd64.deb
 460626ee0c09e907018fe1f8e1e0b945eaab5fd3 38786 libbsd0-dbg_0.1.2-1_amd64.deb
Checksums-Sha256: 
 45c46de1b59e8de695c0a1932ce84f3bd1f4f13491c919d31b1da07622104ee4 1249 libbsd_0.1.2-1.dsc
 cd77e98c6768a4cd8a59504c02722731df4aa18289fd613a5bdde046665ac6a8 54555 libbsd_0.1.2.orig.tar.gz
 7a4b28a3250fe5ae6648ab1698a38902431c4936a055ba32c4dcf15f189eb6e9 5694 libbsd_0.1.2-1.diff.gz
 e9fa657d42f9221efd21a901d55459de9e5a09c446e5f0578d2f6faf054a7de3 62058 libbsd-dev_0.1.2-1_amd64.deb
 89d94f4df58de8be77e4344329a5e64623a8b6e02f80cd834d8fd42f5f51effd 31190 libbsd0_0.1.2-1_amd64.deb
 bfefc4d960464ab2cddfef3d077f23550ec5a3eec80ed2c83de2768c24cdb802 38786 libbsd0-dbg_0.1.2-1_amd64.deb
Files: 
 aeed34d3c7e21d13d36bc2924c79ba77 1249 libs optional libbsd_0.1.2-1.dsc
 bfe3e390b5fe358bdb3db47b079761d2 54555 libs optional libbsd_0.1.2.orig.tar.gz
 2716a0f2b24f383b262046961365befa 5694 libs optional libbsd_0.1.2-1.diff.gz
 75a54d2b1aef791a021e07830102fcc1 62058 libdevel optional libbsd-dev_0.1.2-1_amd64.deb
 c2357d34595632d16dffceafde42bb5d 31190 libs optional libbsd0_0.1.2-1_amd64.deb
 fb81c5a489876c52a7f98c7b8347c8ca 38786 debug extra libbsd0-dbg_0.1.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkoaK60ACgkQuW9ciZ2SjJv1pwCgkTBeLztVv472RJ/QknkywVIV
NJQAoIiENyXPLWVXr9CFovy5jilUAOTp
=Vw/V
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 08:07:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:12:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.